GDB (xrefs)

Classes | Enumerations | Functions
/tmp/gdb-8.1/gdb/memattr.h File Reference

Go to the source code of this file.

## Classes
struct | mem_attrib
struct | mem_region

## Enumerations
enum | mem_access_mode { MEM_NONE, MEM_RW, MEM_RO, MEM_WO, MEM_FLASH }
enum | mem_access_width { MEM_WIDTH_UNSPECIFIED, MEM_WIDTH_8, MEM_WIDTH_16, MEM_WIDTH_32, MEM_WIDTH_64 }

## Functions
struct mem_region * | lookup_mem_region (CORE_ADDR)
void | invalidate_target_mem_regions (void)

## Enumeration Type Documentation

## ◆ mem_access_mode

enum mem_access_mode

Enumerator
MEM_NONE |
MEM_RW |
MEM_RO |
MEM_WO |
MEM_FLASH |

Definition at line 23 of file memattr.h.

## ◆ mem_access_width

enum mem_access_width

Enumerator
MEM_WIDTH_UNSPECIFIED |
MEM_WIDTH_8 |
MEM_WIDTH_16 |
MEM_WIDTH_32 |
MEM_WIDTH_64 |

Definition at line 34 of file memattr.h.

## Function Documentation

## ◆ invalidate_target_mem_regions()

void invalidate_target_mem_regions | ( | void |  | ) |

Definition at line 230 of file memattr.c.

References target_mem_region_list, and target_mem_regions_valid.

Referenced by target_pre_inferior().

## ◆ lookup_mem_region()

struct mem_region* lookup_mem_region | ( | CORE_ADDR |  | ) |

Definition at line 163 of file memattr.c.

References mem_region::attrib, mem_region::hi, inaccessible_by_default, mem_region::lo, arm-linux::m, mem_region_list, require_target_regions(), and mem_attrib::unknown().

Referenced by block_boundaries(), dcache_read_line(), insert_bp_location(), memory_xfer_check_region(), read_memory_robust(), and split_regular_and_flash_blocks().